Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config_browser
Class ShowValidatorAction

    java.lang.Object
      com.opensymphony.xwork2.ActionSupport
          org.apache.struts2.config_browser.ListValidatorsAction
              org.apache.struts2.config_browser.ShowValidatorAction

All Implemented Interfaces:
  com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, java.io.Serializable

    public class ShowValidatorAction

extends ListValidatorsAction

ShowValidatorAction

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ShowValidatorAction.PropertyInfo`

Field Summary

Fields inherited from class com.opensymphony.xwork2.ActionSupport
`LOG`

Fields inherited from interface com.opensymphony.xwork2.Action
`ERROR, INPUT, LOGIN, NONE, SUCCESS`

Constructor Summary
`ShowValidatorAction()`

Method Summary
`java.lang.String` | `execute()`
`java.util.Set` | `getProperties()`
`int` | `getSelected()`
`com.opensymphony.xwork2.validator.Validator` | `getSelectedValidator()`
`void` | `setSelected(int selected)`

Methods inherited from class org.apache.struts2.config_browser.ListValidatorsAction
`getClazz, getContext, getValidators, loadValidators, setClazz, setContext, stripPackage, stripPackage`

Methods inherited from class com.opensymphony.xwork2.ActionSupport
`addActionError, addActionMessage, addFieldError, clearErrorsAndMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowValidatorAction

    public ShowValidatorAction()

Method Detail

### getSelected

    public int getSelected()

### setSelected

    public void setSelected(int selected)

### getProperties

    public java.util.Set getProperties()

### getSelectedValidator

    public com.opensymphony.xwork2.validator.Validator getSelectedValidator()

### execute

    public java.lang.String execute()
                             throws java.lang.Exception

  Specified by:
    `execute` in interface `com.opensymphony.xwork2.Action`
  Overrides:
    `execute` in class `ListValidatorsAction`
  Throws:
    `java.lang.Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.